Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 267)
@@ -11,6 +11,11 @@
 using System.Security.Cryptography;
 using System.Globalization;
 
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+
 namespace ProcessManagement.Common
 {
     /// <summary>
@@ -360,97 +365,6 @@
         }
         #endregion
 
-        #region 担当者マスタ：社員区分
-        /// <summary>
-        /// 社員区分
-        /// </summary>
-        public enum EmployeeClassFlg
-        {
-            /// <summary>
-            /// 不定
-            /// </summary>
-            None = 0,
-            /// <summary>
-            /// 正社員
-            /// </summary>
-            Regular,
-            /// <summary>
-            /// 外注者
-            /// </summary>
-            OutSource,
-        }
-        #endregion
-
-        #region 法人格マスタ：法人格名称位置定義
-        /// <summary>
-        /// 法人格名称位置
-        /// </summary>
-        public enum StatusNamePoint
-        {
-            None = 0,
-            Forword,
-            Back,
-        }
-        #endregion
-
-        #region 期限マスタ：日付チェックタイミング
-        /// <summary>
-        /// 期限マスタ：日付チェックタイミング
-        /// </summary>
-        public enum TermDateCheckTiming
-        {
-            /// <summary>
-            /// 0:前日以前
-            /// </summary>
-            CheckSchdule0 = 0,
-            /// <summary>
-            /// 1:当日
-            /// </summary>
-            CheckSchdule1,
-            /// <summary>
-            /// 2:後日以降
-            /// </summary>
-            CheckSchdule2,
-            /// <summary>
-            /// 3:後日以降継続
-            /// </summary>
-            CheckSchdule3,
-        }
-        #endregion
-
-        #region 期限マスタ：背景・文字色指定定義
-        /// <summary>
-        /// 色の使用場所指定
-        /// </summary>
-        public enum PalceOfColor
-        {
-            BackColor = 0,      // 背景色
-            ForeColor,          // 文字色
-            OtherColor,         // その他色
-        }
-        #endregion
-
-        #region 工事種別マスタ：公共工事種別
-        /// <summary>
-        /// 工事種別マスタ：公共工事種別
-        /// </summary>
-        public enum ConstructionType
-        {
-            /// <summary>
-            /// 0:その他
-            /// </summary>
-            Other = 0,
-            /// <summary>
-            /// 1:公共
-            /// </summary>
-            Community,
-            /// <summary>
-            /// 2:民間
-            /// </summary>
-            Popular,
-        }
-        #endregion
-
         #region 承認処理：承認状態
         /// <summary>
         /// 承認状態
@@ -518,23 +432,6 @@
                                                                                             };
         #endregion
 
-        #region 管理マスタ：工事番号基準値
-        /// <summary>
-        /// 工事番号基準値　0：営業期数 1：工事年度
-        /// </summary>
-        public enum SystemConstructionNoBase
-        {
-            /// <summary>
-            /// 0：営業期数
-            /// </summary>
-            BusinessPeriod = 0,
-            /// <summary>
-            /// 1：工事年度
-            /// </summary>
-            ConstructionYear,
-        }
-        #endregion
-
         #region 工事基本情報：施工案件状態定義
         #region 施工案件状態キー定義配列
         /// <summary>
@@ -721,240 +618,6 @@
         #endregion
         #endregion
 
-        #region 工事基本情報：日付項目テーブル
-        #region 旧データ
-        //public static Dictionary<int, string> BaseInfoDateNameNo = new Dictionary<int, string>(){         2016/01/05 14：開始予定日追加->5:へ移動
-        //                                                                            {1,"RequestedDate"},
-        //                                                                            {2,"EstimatesSubmitDeadline"},
-        //                                                                            {3,"EstimatesSubmittedDate"},
-        //                                                                            {4,"OrderDate"},
-        //                                                                            {5,"OrderCompletionDate"},
-        //                                                                            {6,"ConstructionStartingDate"},
-        //                                                                            {7,"ConstructionCompletionDate"},
-        //                                                                            {8,"TransferConstructionDate"},
-        //                                                                            {9,"EstimatesExpirationDate"},
-        //                                                                            {10,"ConstructionPeriodStart"},
-        //                                                                            {11,"ConstructionPeriodEnd"},
-        //                                                                            {12,"BillingStartDate"},
-        //                                                                            {13,"BillingDate"},
-        //                                                                            {14, "OrderStartingDate"},
-        //                                                                        };
-        //public static Dictionary<string, int> BaseInfoDateNoName = new Dictionary<string, int>(){
-        //                                                                            {"RequestedDate", 1},
-        //                                                                            {"EstimatesSubmitDeadline", 2},
-        //                                                                            {"EstimatesSubmittedDate", 3},
-        //                                                                            {"OrderDate", 4},
-        //                                                                            {"OrderCompletionDate", 5},
-        //                                                                            {"ConstructionStartingDate", 6},
-        //                                                                            {"ConstructionCompletionDate", 7},
-        //                                                                            {"TransferConstructionDate", 8},
-        //                                                                            {"EstimatesExpirationDate", 9},
-        //                                                                            {"ConstructionPeriodStart",10},
-        //                                                                            {"ConstructionPeriodEnd", 11},
-        //                                                                            {"BillingStartDate",12},
-        //                                                                            {"BillingDate",	13},
-        //                                                                            {"OrderStartingDate", 14},
-        //                                                                        };
-        ///// <summary>
-        ///// 工事基本情報日付項目名称テーブル
-        ///// </summary>
-        //public static Dictionary<string, string> BaseInfoDateName = new Dictionary<string, string>(){
-        //                                                                            {"RequestedDate","依頼受け日"},
-        //                                                                            {"EstimatesSubmitDeadline","見積提出期限"},
-        //                                                                            {"EstimatesSubmittedDate","見積提出日"},
-        //                                                                            {"OrderDate","受注日"},
-        //                                                                            {"OrderCompletionDate","完了予定日"},
-        //                                                                            {"ConstructionStartingDate","施工開始日"},
-        //                                                                            {"ConstructionCompletionDate","施工完了日"},
-        //                                                                            {"TransferConstructionDate","工事移管日"},
-        //                                                                            {"EstimatesExpirationDate","見積有効期限"},
-        //                                                                            {"ConstructionPeriodStart","契約工期開始"},
-        //                                                                            {"ConstructionPeriodEnd","契約工期完了"},
-        //                                                                            {"BillingStartDate","請求準備開始日"},
-        //                                                                            {"BillingDate",	"請求日"},
-        //                                                                            {"OrderStartingDate","開始予定日"},
-        //                                                                        };
-        #endregion
-        /// <summary>
-        /// 工事基本情報日付項目テーブル
-        /// </summary>
-        public static Dictionary<int, string> BaseInfoDateNameNo = new Dictionary<int, string>(){
-                                                                                    {1,"RequestedDate"},
-                                                                                    {2,"EstimatesSubmitDeadline"},
-                                                                                    {3,"EstimatesSubmittedDate"},
-                                                                                    {4,"OrderDate"},
-                                                                                    {5, "OrderStartingDate"},
-                                                                                    {6,"OrderCompletionDate"},
-                                                                                    {7,"ConstructionStartingDate"},
-                                                                                    {8,"ConstructionCompletionDate"},
-                                                                                    {9,"TransferConstructionDate"},
-                                                                                    {10,"EstimatesExpirationDate"},
-                                                                                    {11,"ConstructionPeriodStart"},
-                                                                                    {12,"ConstructionPeriodEnd"},
-                                                                                    {13,"BillingStartDate"},
-                                                                                    {14,"BillingDate"},
-                                                                                    {15,"ConstrPreparationDate"},   // 2016/10/07 追加
-                                                                                };
-        /// <summary>
-        /// 工事基本情報日付項目名称テーブル
-        /// </summary>
-        public static Dictionary<string, string> BaseInfoDateName = new Dictionary<string, string>(){
-                                                                                    {"RequestedDate","依頼受け日"},
-                                                                                    {"EstimatesSubmitDeadline","見積提出期限"},
-                                                                                    {"EstimatesSubmittedDate","見積提出日"},
-                                                                                    {"OrderDate","受注日"},
-                                                                                    {"OrderStartingDate","開始予定日"},
-                                                                                    {"OrderCompletionDate","完了予定日"},
-                                                                                    {"ConstrPreparationDate","施工開始準備日"},
-                                                                                    {"ConstructionStartingDate","施工開始日"},
-                                                                                    {"ConstructionCompletionDate","施工完了日"},
-                                                                                    {"TransferConstructionDate","工事移管日"},
-                                                                                    {"EstimatesExpirationDate","見積有効期限"},
-                                                                                    {"ConstructionPeriodStart","契約工期開始"},
-                                                                                    {"ConstructionPeriodEnd","契約工期完了"},
-                                                                                    {"BillingStartDate","請求準備開始日"},
-                                                                                    {"BillingDate",	"請求日"},
-                                                                                };
-        /// <summary>
-        /// 工事基本情報データチェック対象日付テーブル
-        /// </summary>
-        public enum ConstructionBaseInfo_DateNo
-        {
-            /// <summary>
-            /// 1:依頼受け日
-            /// </summary>
-            RequestedDate = 1,
-            /// <summary>
-            ///  2:見積提出期限
-            /// </summary>
-            EstimatesSubmitDeadline,
-            /// <summary>
-            ///  3:見積提出日
-            /// </summary>
-            EstimatesSubmittedDate,
-            /// <summary>
-            ///  4:受注日
-            /// </summary>
-            OrderDate,
-            /// <summary>
-            ///  5:開始予定日
-            /// </summary>
-            OrderStartingDate,
-            /// <summary>
-            ///  6:完了予定日
-            /// </summary>
-            OrderCompletionDate,
-            /// <summary>
-            ///  7:施工開始日
-            /// </summary>
-            ConstructionStartingDate,
-            /// <summary>
-            ///  8:施工完了日
-            /// </summary>
-            ConstructionCompletionDate,
-            /// <summary>
-            ///  9:工事移管日
-            /// </summary>
-            TransferConstructionDate,
-            /// <summary>
-            /// 10:見積有効期限
-            /// </summary>
-            EstimatesExpirationDate,
-            /// <summary>
-            /// 11:契約工期開始
-            /// </summary>
-            ConstructionPeriodStart,
-            /// <summary>
-            /// 12:契約工期完了
-            /// </summary>
-            ConstructionPeriodEnd,
-            /// <summary>
-            /// 13:請求準備開始日
-            /// </summary>
-            BillingStartDate,
-            /// <summary>
-            /// 14:請求日
-            /// </summary>
-            BillingDate,
-            /// <summary>
-            /// 15:施工開始準備日
-            /// </summary>
-            ConstrPreparationDate,
-        }
-        #endregion
-
-        #region 工事基本情報：消費税フラグ
-        /// <summary>
-        /// 消費税フラグ　0:含まない 1:含む
-        /// </summary>
-        public enum BaseInfoConsumptionTaxFlg
-        {
-            /// <summary>
-            /// 0:含まない
-            /// </summary>
-            NotInclue = 0,
-            /// <summary>
-            /// 1:含む
-            /// </summary>
-            Include,
-        }
-        #endregion
-
-        #region 工事基本情報：営業経費発生フラグ
-        /// <summary>
-        /// 営業経費発生フラグ　0:発生しない 1:発生する 
-        /// </summary>
-        public enum BaseInfoSalesCostFlg
-        {
-            /// <summary>
-            /// 0:発生しない
-            /// </summary>
-            NotOn = 0,
-            /// <summary>
-            /// 1:発生する 
-            /// </summary>
-            On,
-        }
-        #endregion
-
-        #region 工事基本情報：見積種別
-        /// <summary>
-        /// 見積種別　0：通常見積 1:入札物件 2:予算取り見積
-        /// </summary>
-        public enum BaseInfoEstimateType
-        {
-            /// <summary>
-            /// 0：通常見積
-            /// </summary>
-            Normal = 0,
-            /// <summary>
-            /// 1:入札物件
-            /// </summary>
-            Didding,
-            /// <summary>
-            /// 2:予算取り見積
-            /// </summary>
-            GetBudget,
-        }
-        #endregion
-
-        #region 工事基本情報：請求回数フラグ
-        /// <summary>
-        /// 請求回数フラグ　0:分割請求 1:一括請求
-        /// </summary>
-        public enum BaseInfoBillingSplitFlg
-        {
-            /// <summary>
-            /// 0:一括請求
-            /// </summary>
-            AllOnBilling = 0,
-            /// <summary>
-            /// 1:分割請求
-            /// </summary>
-            SplitBilling,
-        }
-        #endregion
-
         #region 工事基本情報：見積有効期限（月）
         /// <summary>
         /// 見積有効期限（月）
@@ -1136,44 +799,6 @@
         public static int s_PrintOutPrice = 300000;
         #endregion
 
-        #region 交通費及び購入品等入力：データ種別
-        /// <summary>
-        /// 交通費及び購入品等入力：データ種別
-        /// </summary>
-        public enum CostDataNo
-        {
-            /// <summary>
-            /// 交通費
-            /// </summary>
-            Transport = 1,
-            /// <summary>
-            /// 購入品費
-            /// </summary>
-            Purchase,
-            /// <summary>
-            /// 車両リース代
-            /// </summary>
-            Lease,
-            /// <summary>
-            /// 駐車場・資材置き場代
-            /// </summary>
-            StoragePlace,
-            /// <summary>
-            /// 宿泊費
-            /// </summary>
-            Lodging,
-            /// <summary>
-            /// 処分費
-            /// </summary>
-            DisposalCost,
-        }
-
-        /// <summary>
-        /// データ種別
-        /// </summary>
-        public static readonly string[] CostDataNoString = new string[] { "", "交　通　費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿　泊　費", "処　分　費" };
-        #endregion
-
         #region 汎用データ：コードデータ種別
         /// <summary>
         /// 汎用データ：コードデータ種別
@@ -1349,29 +974,6 @@
         public static int AssistantMonthryCost = 100000;
         #endregion
 
-        #region 協力会社マスタ：協力業者支払区分
-        /// <summary>
-        /// 協力業者支払区分
-        /// </summary>
-        public enum SubContractorPaymentKind
-        {
-            /// <summary>
-            /// 0:通常払い
-            /// </summary>
-            Normal = 0,
-            /// <summary>
-            /// 1:手間払い
-            /// </summary>
-            Labor,
-        }
-        /// <summary>
-        /// 協力業者支払区分
-        /// </summary>
-        public static List<KeyValuePair<int, string>> s_SubContractorKind = new List<KeyValuePair<int, string>>(){
-                                                                            new KeyValuePair<int,string>(0,"通　常　業　者"),
-                                                                            new KeyValuePair<int,string>(1,"手　間　業　者")};
-        #endregion
-
         #region 工事詳細台帳：集計フラグ
         /// <summary>
         /// 工事詳細台帳：集計フラグ
@@ -1434,171 +1036,6 @@
         }
         #endregion
 
-        #region 工事リンク情報：リンク種別
-        /// <summary>
-        /// 工事リンク情報：リンク種別
-        /// </summary>
-        public enum LinkDataType
-        {
-            /// <summary>
-            /// 0:増減工事
-            /// </summary>
-            FluctuationType = 0,
-            /// <summary>
-            /// 1:結合工事
-            /// </summary>
-            JoinType,
-        }
-        #endregion
-
-        #region 工事基本情報：紐付データフラグ
-        /// <summary>
-        /// 工事基本情報：紐付データフラグ
-        /// </summary>
-        public enum BaseInfoTyingFlg
-        {
-            /// <summary>
-            /// 0:独立データ
-            /// </summary>
-            Standard = 0,
-            /// <summary>
-            /// 1:増減親データ
-            /// </summary>
-            Parent,
-            /// <summary>
-            /// 2:増減子データ
-            /// </summary>
-            Tying,
-        }
-        #endregion
-
-        #region 工事基本情報：結合工事フラグ
-        /// <summary>
-        /// 工事基本情報：結合工事フラグ
-        /// </summary>
-        public enum BaseInfoJoinFlg
-        {
-            /// <summary>
-            /// 0:結合無通常データ
-            /// </summary>
-            Standard = 0,
-            /// <summary>
-            /// 1:結合親データ
-            /// </summary>
-            JoinParent,
-            /// <summary>
-            /// 2:結合子データ
-            /// </summary>
-            JoinChildren,
-        }
-        #endregion
-
-        #region 工事詳細台帳：台帳入力完了フラグ
-        /// <summary>
-        /// 工事詳細台帳：台帳入力完了フラグ
-        /// </summary>
-        public enum ComplateTitleNo
-        {
-            /// <summary>
-            /// 台　帳　入　力　中
-            /// </summary>
-            Operateing = 0,
-            /// <summary>
-            /// 完　了　済　台　帳
-            /// </summary>
-            Complated,
-        }
-        #endregion
-
-        #region 工事詳細台帳明細：担当中フラグ
-        /// <summary>
-        /// 担当中フラグ
-        /// </summary>
-        public enum SalaryOperateKind
-        {
-            /// <summary>
-            /// 担当終了
-            /// </summary>
-            Complate = 0,
-            /// <summary>
-            /// 担当中
-            /// </summary>
-            Oparateing,
-        }
-        #endregion
-
-        #region 工事詳細台帳明細：増減工事フラグ
-        /// <summary>
-        /// 工事詳細台帳：増減工事フラグ
-        /// </summary>
-        public enum FluctuatesFlg
-        {
-            /// <summary>
-            /// 0:通常データ
-            /// </summary>
-            Normal = 0,
-            /// <summary>
-            /// 1:増減データ
-            /// </summary>
-            Fluctuates,
-        }
-        #endregion
-
-        #region 工事詳細台帳明細：注文書発行フラグ
-        /// <summary>
-        /// 工事詳細台帳明細：注文書データ作成フラグ
-        /// </summary>
-        public enum PurchaseOrderFlg
-        {
-            /// <summary>
-            /// 未作成
-            /// </summary>
-            NoCreate = 0,
-            /// <summary>
-            /// 作成済
-            /// </summary>
-            Making = 1,
-            /// <summary>
-            /// 作成しない
-            /// </summary>
-            NotMakingData = 9,
-        }
-        #endregion
-
-        #region 担当者マスタ：工事詳細台帳計算対象フラグ
-        /// <summary>
-        /// 担当者マスタ：工事詳細台帳計算対象フラグ
-        /// </summary>
-        public enum PersonLedgerDivNo
-        {
-            /// <summary>
-            /// 対象外
-            /// </summary>
-            CalcOuter = 0,
-            /// <summary>
-            /// 対象
-            /// </summary>
-            CalcTarget,
-        }
-        #endregion
-
-        #region 担当者対象部署マスタ：所属フラグ
-        /// <summary>
-        /// 担当者対象部署マスタ：所属フラグ
-        /// </summary>
-        public enum AffiliationFlg
-        {
-            /// <summary>
-            /// 他部署
-            /// </summary>
-            Ohter = 0,
-            /// <summary>
-            /// 所属部署
-            /// </summary>
-            Affiliation,
-        }
-        #endregion
-
         #region 起動対象マスタ：データ編集フラグ
         /// <summary>
         /// 起動対象マスタ：データ編集フラグ
@@ -1616,32 +1053,6 @@
         }
         #endregion
 
-        #region 保護区分マスタ：総務業務フラグ
-        /// <summary>
-        /// 保護区分マスタ：総務業務フラグ
-        /// </summary>
-        public enum GeneralAffairs
-        {
-            /// <summary>
-            /// 総務以外
-            /// </summary>
-            OtherDep = 0,
-            /// <summary>
-            /// 総務業務対象
-            /// </summary>
-            GeneralDep,
-        }
-        #endregion
-
-        #region 保護区分マスタ：総務業務名称
-        /// <summary>
-        /// 保護区分マスタ：総務業務名称
-        /// </summary>
-        public static List<KeyValuePair<int, string>> GeneralAffairsList = new List<KeyValuePair<int, string>>{
-                                                                                new KeyValuePair<int,string>(0,"総務業務不可"),
-                                                                                new KeyValuePair<int,string>(1,"総務業務可能")};
-        #endregion
-
         #region 承認対象区分
         /// <summary>
         /// 承認対象区分
@@ -1685,8 +1096,8 @@
                                                                       { "資材返却", "返却期限を過ぎた資材があります。", "0x808080", "0xFF0000" }
                                                                     };
         public static List<KeyValuePair<int, int>> MaterualStatusCheckList = new List<KeyValuePair<int, int>>{
-            new KeyValuePair<int, int>((int)CommonDefine.TermDateCheckTiming.CheckSchdule1, 0),
-            new KeyValuePair<int, int>((int)CommonDefine.TermDateCheckTiming.CheckSchdule3, 1)};
+            new KeyValuePair<int, int>((int)TermMaster.TermDateCheckTimingDef.CheckSchdule1, 0),
+            new KeyValuePair<int, int>((int)TermMaster.TermDateCheckTimingDef.CheckSchdule3, 1)};
         #endregion
 
         #region 規定値フォーム位置移動
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 267)
@@ -378,7 +378,7 @@
         {
             int nRetVal = 0;
             // 初期値セット
-            if (m_systemMaster.ConstructionNoBase == (int)CommonDefine.SystemConstructionNoBase.BusinessPeriod)
+            if (m_systemMaster.ConstructionNoBase == (int)SystemMaster.ConstrNoBaseDef.BusinessPeriod)
                 nRetVal = m_systemMaster.BusinessPeriod;
             else
                 nRetVal = m_systemMaster.ConstructionYear;
@@ -992,17 +992,17 @@
         /// <param name="strColor"></param>
         /// <param name="point"></param>
         /// <returns></returns>
-        public static Color getBackForeColor(string strColor, CommonDefine.PalceOfColor point)
+        public static Color getBackForeColor(string strColor, TermMaster.PalceOfColorDef point)
         {
             Color ColorRet = Color.White;
             try
             {
                 // デフォルトセット
-                if (point == CommonDefine.PalceOfColor.BackColor)
+                if (point == TermMaster.PalceOfColorDef.BackColor)
                 {   // 背景
                     ColorRet = Color.White;
                 }
-                else if (point == CommonDefine.PalceOfColor.ForeColor)
+                else if (point == TermMaster.PalceOfColorDef.ForeColor)
                 {   // 文字色
                     ColorRet = Color.Black;
                 }
@@ -1891,9 +1891,9 @@
             {
                 string strRet = string.Empty;
 
-                if (master.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Forword)
+                if (master.CorporateStatusPoint == (int)BusinessTypeMaster.StatusNamePointDef.Forword)
                     strRet = master.CorporateStatusName + "　" + master.OrderersName1 + "　" + master.OrderersName2;
-                else if (master.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Back)
+                else if (master.CorporateStatusPoint == (int)BusinessTypeMaster.StatusNamePointDef.Back)
                     strRet = master.OrderersName1 + "　" + master.CorporateStatusName + "　" + master.OrderersName2;
                 else
                     strRet = master.OrderersName1 + "　" + master.OrderersName2;
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 267)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 76;
+        public static int s_SystemVersion = 78;
 
         /// <summary>
         /// コピー・環境バージョン
